Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Yuan Fu <[email-masked]>
Date: Sat, 13 Jan 2024 18:19:26 -0800

> On Jan 8, 2024, at 9:15 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: João Távora <[email-masked]>
>> Date: Mon, 8 Jan 2024 14:45:31 +0000
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> On Mon, Jan 8, 2024 at 1:14 PM Eli Zaretskii <[email-masked]> wrote:
>> 
>>>>> It attempts to abstract a trait that isn't abstract, by going in the
>>>>> opposite direction of that used for abstractions.
>>>> 
>>>> It's interesting how you state a simple get/set is a "leaky abstraction",
>>>> but then also not an abstraction at all.
>>> 
>>> It's "leaky" because it "leaks" the idea that it should be a
>>> "language".
>> 
>> Oh right, of course.  Who came with this "leaky" idea that there
>> are programming languages are all?
> 
> For some reason, once any discussion with you got past some number of
> messages, it always deteriorates into a stream of ad-hominem and
> sarcastic nonsense.  I'm outta here.

I've never doubted the good intention of the participants in this thread. You’ve all sacrificed much personal time for making Emacs better. And I believed we can have efficient and friendly discussions if everyone in this thread have enough time to go over each other’s message very carefully and compose a detailed reply that’s hard to misinterpret. 

Alas, no one in this thread has the luxury of “enough time” (especially Eli, I’m already amazed that he can keep up with all these discussions everywhere everyday). And we sometimes end up with unfortunate situations like this.

Now come back to the subject. What we can do now, it seems, is to apply this on master and observe what breaks? Then Joao can either say “I told you” or happily found out that this patch works ok. And maybe we could also mention this change in emacs-devel, given the potential impact of it.

Yuan